# Minimal Google Drive service account client

Command line client for uploading files and folder to a Google Drive folder via
a Google service account. The client supports both regular personal drives ("My
Drive") as well as team drives. It is designed for scripting and automation,
thus working with a service account only. It is not intended to work as OAuth
client.

## Setup

```bash
virtualenv -p python3 .venv/gdrive
. .venv/gdrive/bin/activate
pip install -r requirements.txt

export GOOGLE_APPLICATION_CREDENTIALS=/path/to/API_key.json

./gdrive --help

./gdrive overview_drives
```
